<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<div class="row">
  <div class="sub-heading pull-right">
    <h4>List of Users</h4>
  </div>
  <span class="example-spacer"></span>
  <div class="pull-right sub-heading">
    <button mat-raised-button class="toolbar-btn1 button-left col-sf" color="primary" routerLink="/user/form">Add User</button>
  </div>
</div>
{{ collection | orderBy: expression : reverse }}
<table class="table table-bordered">
  <thead>
    <tr>
      <!-- <th>Select</th> -->
      <!-- <th mat-sort-header="userId">userId</th> -->
      <th>id</th>
      <th>title</th>
      <th>completed</th>

<!--       <th mat-sort-header="id">Id</th>
      <th mat-sort-header="name">Name</th>
      <th mat-sort-header="username">UserName</th>
      <th mat-sort-header="email">Email</th>
      <th mat-sort-header="phone">Phone</th>
      <th mat-sort-header="website">Website</th> -->
     <!--  <th>Edit</th>
      <th>Delete</th> -->
    </tr>
  </thead>
  <tbody>
  <tr>
<!-- <virtual-scroll [items]="items" (update)="user_list = $event">
    <div *ngFor="let user of user_list" [user]="user">{{user}}</div>
</virtual-scroll> -->
<virtual-scroll [items]="user_list" (update)="scrollList = $event">
  <div *ngFor="let user of scrollList">

  <td>{{user.id}}</td>
  <td>{{user.title}}</td>
  <td>{{user.completed}}</td>
  </div>
  
</virtual-scroll>
</tr>

</tbody>
</table>



    <!-- <div *ngFor="let user of scrollList" [item]="user">





 <!--  <tr *ngFor="let user of user_list; let i = index"> 
 <virtual-scroll (update)="user_list = $event">
  <div *ngFor="let user of user_list; let i = index">  
  {{user.id}} 
      <td>{{user.id}}</td>
      <td>{{user.title}}</td>
      <td>{{user.completed}}</td>

  </div>
</virtual-scroll>
</tr>
</tbody>
</table>




  <virtual-scroll [items]="items" (update)="scrollList = $event">
            <div *ngFor="let item of scrollList; let i = index"> {{i}}: {{item}} </div>
        </virtual-scroll>  -->